@ECHO OFF
:COMIENZO
CLS
ECHO MENU:
ECHO 1.- OPCIàN UNO: FORMATEAR DISCO.
ECHO 2.- OPCIàN DOS: MOSTRAR EL CONTENIDO DEL DISCO
ECHO 3.- OPCIàN TRES: METER EN COLA DE IMPRESION LOS FICHEROS BAT
ECHO 0.- SALIR

CHOICE /C:1230 /T:0,10
IF ERRORLEVEL 4 GOTO SALIR
IF ERRORLEVEL 3 GOTO TRES
IF ERRORLEVEL 2 GOTO DOS
IF ERRORLEVEL 1 GOTO UNO

:UNO

CLS
ECHO HAS ELEGIDO LA OPCIàN UNO
CHOICE ¨ESTµ SEGURO?
IF ERRORLEVEL 2 GOTO COMIENZO
ECHO INTRODUCE UN DISQUETTE
PAUSE
FORMAT A:
GOTO SALIR

:DOS

CLS
ECHO HAS ELEGIDO LA OPCIàN DOS
CHOICE ¨ESTµ SEGURO?
IF ERRORLEVEL 2 GOTO COMIENZO
DIR C: /P |SORT /+8
PAUSE
GOTO SALIR

:TRES

CLS
ECHO HAS ELEGIDO LA OPCIàN TRES
choice ESTµS SEGURO?
IF ERRORLEVEL 2 GOTO COMIENZO
FOR %%F IN (*.BAT) DO CALL IMPRIME2 %%F
GOTO SALIR

:SALIR

CLS
ECHO EL PROGAMA VA A TERMINAR
CHOICE ¨ESTµ SEGURO?
IF ERRORLEVEL 2 GOTO COMIENZO
